[mythtv-users] ubuntu upgrade to .20.2 failed

Dan Christensen jdc at uwo.ca
Sun Sep 16 15:13:32 UTC 2007


Mario Limonciello <mario.mailing at gmail.com> writes:

> Craig Yuen wrote:
>> i just tried upgrading to the latest .20.2 using the instructions at
>> http://mythbuntu.org/auto-builds
>> 
>> when i run the command |sudo apt-get upgrade i get the following:
>> 
>> The following packages have been kept back:
>>   gnupg mytharchive mythdvd mythtv-backend mythtv-common mythtv-database
>>   mythtv-frontend
>> 
>> when i reboot and try to start the backend i get this:
>> 
>> craig at mythbox :/etc/rc5.d$ sudo ./S24mythtv-backend start
>> Starting MythTV server: mythbackend /usr/bin/mythbackend: error while
>> loading shared libraries: libmythtv-0.20.so.0: cannot open shared object
>> file: No such file or directory
>> 
>> 
>> it seems i have a mis-match of components, new libraries and old
>> executables :-(

Mario,

Should dependencies be added so that you can't get a partial upgrade
like this?

Dan


More information about the mythtv-users mailing list